[VPC IPs] Release IP from instance
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations/release \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations/release"
payload = { "instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instance_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Compute
[VPC IPs] Release IP from instance
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
vpcs
/
{vpc_id}
/
ip-allocations
/
release
[VPC IPs] Release IP from instance
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Body
application/json
Response
200
No response body
⌘I

